## pgtap 0.14

=== Makefile ===
# $Id: Makefile 4375 2008-10-14 21:26:56Z david $
TESTS = $(wildcard sql/*.sql)
EXTRA_CLEAN = test_setup.sql
DATA_built = pgtap.sql uninstall_pgtap.sql
MODULES = pgtap
DOCS = README.pgtap
SCRIPTS = bin/pg_prove
REGRESS = $(patsubst sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --load-language=plpgsql

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/citext
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

# We need to do various things with various versions of PostgreSQL.
PGVER_MAJOR = $(shell echo $(VERSION) | awk -F. '{ print ($$1 + 0) }')
PGVER_MINOR = $(shell echo $(VERSION) | awk -F. '{ print ($$2 + 0) }')
PGVER_PATCH = $(shell echo $(VERSION) | awk -F. '{ print ($$3 + 0) }')

# We support 8.0 and later.
ifneq ($(PGVER_MAJOR), 8)
$(error pgTAP requires PostgreSQL 8.0 or later. This is $(VERSION))
endif

# Set up extra substitutions based on version numbers.
ifeq ($(PGVER_MAJOR), 8)
ifeq ($(PGVER_MINOR), 0)
# Hack for E'' syntax (<= PG8.0)
REMOVE_E := -e "s/ E'/ '/g"
# Throw isn't supported in 8.0.
TESTS := $(filter-out sql/throwtap.sql,$(TESTS))
REGRESS := $(filter-out throwtap,$(REGRESS))
endif
endif

# Determine the OS. Borrowed from Perl's Configure.
ifeq ($(wildcard /irix), /irix)
OSNAME=irix
endif
ifeq ($(wildcard /xynix), /xynix)
OSNAME=sco_xenix
endif
ifeq ($(wildcard /dynix), /dynix)
OSNAME=dynix
endif
ifeq ($(wildcard /dnix), /dnix)
OSNAME=dnxi
endif
ifeq ($(wildcard /lynx.os), /lynx.os)
OSNAME=lynxos
endif
ifeq ($(wildcard /unicos), /unicox)
OSNAME=unicos
endif
ifeq ($(wildcard /unicosmk), /unicosmk)
OSNAME=unicosmk
endif
ifeq ($(wildcard /unicosmk.ar), /unicosmk.ar)
OSNAME=unicosmk
endif
ifeq ($(wildcard /bin/mips), /bin/mips)
OSNAME=mips
endif
ifeq ($(wildcard /usr/apollo/bin), /usr/apollo/bin)
OSNAME=apollo
endif
ifeq ($(wildcard /etc/saf/_sactab), /etc/saf/_sactab)
OSNAME=svr4
endif
ifeq ($(wildcard /usr/include/minix), /usr/include/minix)
OSNAME=minix
endif
ifeq ($(wildcard /system/gnu_library/bin/ar.pm), /system/gnu_library/bin/ar.pm)
OSNAME=vos
endif
ifeq ($(wildcard /MachTen), /MachTen)
OSNAME=machten
endif
ifeq ($(wildcard /sys/posix.dll), /sys/posix.dll)
OSNAME=uwin
endif

# Fallback on uname, if it's available.
ifndef OSNAME
OSNAME = $(shell uname | awk '{print tolower($1)}')
endif

# Override how .sql targets are processed to add the schema info, if
# necessary. Otherwise just copy the files.
test_setup.sql: test_setup.sql.in
ifdef TAPSCHEMA
	sed -e 's,TAPSCHEMA,$(TAPSCHEMA),g' -e 's/^-- ## //g' $< >$@
	cp $< $@
endif

pgtap.sql: pgtap.sql.in test_setup.sql
ifdef TAPSCHEMA
	sed -e 's,TAPSCHEMA,$(TAPSCHEMA),g' -e 's/^-- ## //g' -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' $(REMOVE_E) pgtap.sql.in > pgtap.sql
else
	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' $(REMOVE_E) pgtap.sql.in > pgtap.sql
endif
ifeq ($(PGVER_MAJOR), 8)
ifneq ($(PGVER_MINOR), 3)
	cat compat/install-8.2.sql >> pgtap.sql
ifneq ($(PGVER_MINOR), 2)
ifneq ($(PGVER_MINOR), 1)
	patch -p0 < compat/install-8.0.patch
endif
endif
endif
endif

uninstall_pgtap.sql: uninstall_pgtap.sql.in test_setup.sql
ifdef TAPSCHEMA
	sed -e 's,TAPSCHEMA,$(TAPSCHEMA),g' -e 's/^-- ## //g' uninstall_pgtap.sql.in > uninstall_pgtap.sql
else
	cp uninstall_pgtap.sql.in uninstall_pgtap.sql
endif
ifeq ($(PGVER_MAJOR), 8)
ifneq ($(PGVER_MINOR), 3)
	mv uninstall_pgtap.sql uninstall_pgtap.tmp
	cat compat/uninstall-8.2.sql uninstall_pgtap.tmp >> uninstall_pgtap.sql
	rm uninstall_pgtap.tmp
endif
ifeq ($(PGVER_MINOR), 0)
	mv uninstall_pgtap.sql uninstall_pgtap.tmp
	cat compat/uninstall-8.0.sql uninstall_pgtap.tmp >> uninstall_pgtap.sql
	rm uninstall_pgtap.tmp
endif
endif

# Make sure that we build the regression tests.
installcheck: test_setup.sql

# In addition to installcheck, one can also run the tests through pg_prove.
test: test_setup.sql
	./bin/pg_prove --pset tuples_only=1 $(TESTS)

## pgtap 0.21

=== Makefile ===
--- 
+++ 
@@ -1,28 +1,51 @@
-# $Id: Makefile 4375 2008-10-14 21:26:56Z david $
+# $Id$
 TESTS = $(wildcard sql/*.sql)
-EXTRA_CLEAN = test_setup.sql
+EXTRA_CLEAN = test_setup.sql *.html
 DATA_built = pgtap.sql uninstall_pgtap.sql
-MODULES = pgtap
 DOCS = README.pgtap
-SCRIPTS = bin/pg_prove
+SCRIPTS = bbin/pg_prove
 REGRESS = $(patsubst sql/%.sql,%,$(TESTS))
 REGRESS_OPTS = --load-language=plpgsql
 
+# Figure out where pg_config is, and set other vars we'll need depending on
+# whether or not we're in the source tree.
 ifdef USE_PGXS
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
-include $(PGXS)
-else
-subdir = contrib/citext
+else
 top_builddir = ../..
-include $(top_builddir)/src/Makefile.global
-include $(top_srcdir)/contrib/contrib-global.mk
+PG_CONFIG := $(top_builddir)/src/bin/pg_config/pg_config
 endif
 
 # We need to do various things with various versions of PostgreSQL.
+VERSION     = $(shell $(PG_CONFIG) --version | awk '{print $$2}')
 PGVER_MAJOR = $(shell echo $(VERSION) | awk -F. '{ print ($$1 + 0) }')
 PGVER_MINOR = $(shell echo $(VERSION) | awk -F. '{ print ($$2 + 0) }')
 PGVER_PATCH = $(shell echo $(VERSION) | awk -F. '{ print ($$3 + 0) }')
+PGTAP_VERSION = 0.21
+
+# Compile the C code only if we're on 8.3 or older.
+ifneq ($(PGVER_MINOR), 4)
+MODULES = pgtap
+endif
+
+# Load up the PostgreSQL makefiles.
+ifdef PGXS
+include $(PGXS)
+else
+include $(top_builddir)/src/Makefile.global
+include $(top_srcdir)/contrib/contrib-global.mk
+endif
+
+# We need Perl.
+ifndef PERL
+PERL := $(shell which foo)
+endif
+
+# Is Tap::Harness installed?
+ifdef PERL
+HAVE_HARNESS := $(shell $(PERL) -le 'eval { require Tap::Harness }; print 1 unless $$@' )
+endif
 
 # We support 8.0 and later.
 ifneq ($(PGVER_MAJOR), 8)
@@ -33,10 +56,21 @@
 ifeq ($(PGVER_MAJOR), 8)
 ifeq ($(PGVER_MINOR), 0)
 # Hack for E'' syntax (<= PG8.0)
-REMOVE_E := -e "s/ E'/ '/g"
-# Throw isn't supported in 8.0.
-TESTS := $(filter-out sql/throwtap.sql,$(TESTS))
-REGRESS := $(filter-out throwtap,$(REGRESS))
+EXTRA_SUBS := -e "s/ E'/ '/g"
+# Throw, runtests, enums, and roles aren't supported in 8.0.
+TESTS := $(filter-out sql/throwtap.sql sql/runtests.sql sql/enumtap.sql sql/roletap.sql,$(TESTS))
+REGRESS := $(filter-out throwtap runtests enumtap roletap,$(REGRESS))
+else
+ifeq ($(PGVER_MINOR), 4)
+# Remove lines 15-20, which define pg_typeof().
+EXTRA_SUBS := -e '14,18d'
+else
+ifneq ($(PGVER_MINOR), 3)
+# Enum test not supported by 8.2 and earlier.
+TESTS := $(filter-out sql/enumtap.sql,$(TESTS))
+REGRESS := $(filter-out enumtap,$(REGRESS))
+endif
+endif
 endif
 endif
 
@@ -89,7 +123,7 @@
 
 # Fallback on uname, if it's available.
 ifndef OSNAME
-OSNAME = $(shell uname | awk '{print tolower($1)}')
+OSNAME = $(shell uname | awk '{print tolower($$1)}')
 endif
 
 # Override how .sql targets are processed to add the schema info, if
@@ -97,21 +131,30 @@
 test_setup.sql: test_setup.sql.in
 ifdef TAPSCHEMA
 	sed -e 's,TAPSCHEMA,$(TAPSCHEMA),g' -e 's/^-- ## //g' $< >$@
+else
 	cp $< $@
 endif
 
 pgtap.sql: pgtap.sql.in test_setup.sql
 ifdef TAPSCHEMA
-	sed -e 's,TAPSCHEMA,$(TAPSCHEMA),g' -e 's/^-- ## //g' -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' $(REMOVE_E) pgtap.sql.in > pgtap.sql
-else
-	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' $(REMOVE_E) pgtap.sql.in > pgtap.sql
+	sed -e 's,TAPSCHEMA,$(TAPSCHEMA),g' -e 's/^-- ## //g' -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(PGTAP_VERSION),g' $(EXTRA_SUBS) pgtap.sql.in > pgtap.sql
+else
+	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(PGTAP_VERSION),g' $(EXTRA_SUBS) pgtap.sql.in > pgtap.sql
 endif
 ifeq ($(PGVER_MAJOR), 8)
+ifneq ($(PGVER_MINOR), 4)
 ifneq ($(PGVER_MINOR), 3)
 	cat compat/install-8.2.sql >> pgtap.sql
-ifneq ($(PGVER_MINOR), 2)
-ifneq ($(PGVER_MINOR), 1)
+ifeq ($(PGVER_MINOR), 2)
+	patch -p0 < compat/install-8.2.patch
+else
+ifeq ($(PGVER_MINOR), 1)
+	patch -p0 < compat/install-8.2.patch
+	patch -p0 < compat/install-8.1.patch
+else
+	patch -p0 < compat/install-8.2.patch
 	patch -p0 < compat/install-8.0.patch
+endif
 endif
 endif
 endif
@@ -124,21 +167,54 @@
 	cp uninstall_pgtap.sql.in uninstall_pgtap.sql
 endif
 ifeq ($(PGVER_MAJOR), 8)
+ifneq ($(PGVER_MINOR), 4)
 ifneq ($(PGVER_MINOR), 3)
+	patch -p0 < compat/uninstall-8.2.patch
 	mv uninstall_pgtap.sql uninstall_pgtap.tmp
 	cat compat/uninstall-8.2.sql uninstall_pgtap.tmp >> uninstall_pgtap.sql
 	rm uninstall_pgtap.tmp
 endif
 ifeq ($(PGVER_MINOR), 0)
+	patch -p0 < compat/uninstall-8.0.patch
 	mv uninstall_pgtap.sql uninstall_pgtap.tmp
 	cat compat/uninstall-8.0.sql uninstall_pgtap.tmp >> uninstall_pgtap.sql
 	rm uninstall_pgtap.tmp
 endif
 endif
+endif
+
+# Build pg_prove and holler if there's no Perl or Tap::Harness.
+bbin/pg_prove:
+	mkdir bbin
+#	sed -e "s,\\('\\|F<\\)psql\\(['>]\\),\\1$(bindir)/psql\\2,g" bin/pg_prove > bbin/pg_prove
+	sed -e "s,\\'psql\\',\\'$(bindir)/psql\\'," -e 's,F<psql>,F<$(bindir)/psql>,' bin/pg_prove > bbin/pg_prove
+ifdef PERL
+	$(PERL) '-MExtUtils::MY' -e 'MY->fixin(shift)' bbin/pg_prove
+ifndef HAVE_HARNESS
+	$(warning To use pg_prove, Tap::Harness Perl module must be installed from CPAN.)
+endif
+else
+	$(warning Could not find perl (required by pg_prove). Install it or set the PERL variable.)
+endif
+	chmod +x bbin/pg_prove
 
 # Make sure that we build the regression tests.
 installcheck: test_setup.sql
 
+# Make sure we build pg_prove.
+all: bbin/pg_prove
+
+# Make sure we remove bbin.
+clean: extraclean
+
+extraclean:
+	rm -rf bbin
+
 # In addition to installcheck, one can also run the tests through pg_prove.
-test: test_setup.sql
-	./bin/pg_prove --pset tuples_only=1 $(TESTS)
+test: test_setup.sql bbin/pg_prove
+	./bbin/pg_prove --pset tuples_only=1 $(TESTS)
+
+html:
+	markdown -F 0x1000 README.pgtap > readme.html
+	perl -ne 'BEGIN { $$prev = 0; $$lab = ""; print "<h1>Contents</h1>\n<ul>\n" } if (m{<h([123])\s+id="([^"]+)">((<code>[^(]+)?.+?)</h\1>}) { next if $$lab && $$lab eq $$4; $$lab = $$4; if ($$prev) { if ($$1 != $$prev) { print $$1 > $$prev ? $$1 - $$prev > 1 ? "<ul><li><ul>" : "<ul>\n" : $$prev - $$1 > 1 ? "</li></ul></li></ul></li>\n" : "</li></ul></li>\n"; $$prev = $$1; } else { print "</li>\n" } } else { $$prev = $$1; } print qq{<li><a href="#$$2">} . ($$4 ? "$$4()</code>" : $$3) . "</a>" } END { print "</li>\n</ul>\n" }' readme.html > toc.html
+	PERL5LIB=/Users/david/dev/perl/Pod-Simple/lib perldoc -MPod::Simple::XHTML -d pg_prove.html -w html_header_tags:'<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">' bin/pg_prove

## pgtap 0.23

=== Makefile ===
TESTS = $(wildcard sql/*.sql)
EXTRA_CLEAN = test_setup.sql *.html
DATA_built = pgtap.sql uninstall_pgtap.sql
DOCS = README.pgtap
SCRIPTS = bbin/pg_prove bbin/pg_tapgen
REGRESS = $(patsubst sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --load-language=plpgsql

# Figure out where pg_config is, and set other vars we'll need depending on
# whether or not we're in the source tree.
ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
else
top_builddir = ../..
PG_CONFIG := $(top_builddir)/src/bin/pg_config/pg_config
endif

# We need to do various things with various versions of PostgreSQL.
VERSION     = $(shell $(PG_CONFIG) --version | awk '{print $$2}')
PGVER_MAJOR = $(shell echo $(VERSION) | awk -F. '{ print ($$1 + 0) }')
PGVER_MINOR = $(shell echo $(VERSION) | awk -F. '{ print ($$2 + 0) }')
PGVER_PATCH = $(shell echo $(VERSION) | awk -F. '{ print ($$3 + 0) }')
PGTAP_VERSION = 0.23

# Compile the C code only if we're on 8.3 or older.
ifeq ($(PGVER_MINOR), 3)
MODULES = pgtap
endif
ifeq ($(PGVER_MINOR), 2)
MODULES = pgtap
endif
ifeq ($(PGVER_MINOR), 1)
MODULES = pgtap
endif
ifeq ($(PGVER_MINOR), 0)
MODULES = pgtap
endif

# Load up the PostgreSQL makefiles.
ifdef PGXS
include $(PGXS)
else
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

# We need Perl.
ifndef PERL
PERL := $(shell which perl)
endif

# Is TAP::Harness installed?
ifdef PERL
HAVE_HARNESS := $(shell $(PERL) -le 'eval { require TAP::Harness }; print 1 unless $$@' )
endif

# We support 8.0 and later.
ifneq ($(PGVER_MAJOR), 8)
$(error pgTAP requires PostgreSQL 8.0 or later. This is $(VERSION))
endif

# Set up extra substitutions based on version numbers.
ifeq ($(PGVER_MAJOR), 8)
ifeq ($(PGVER_MINOR), 2)
# Enum tests not supported by 8.2 and earlier.
TESTS := $(filter-out sql/enumtap.sql,$(TESTS))
REGRESS := $(filter-out enumtap,$(REGRESS))
endif
ifeq ($(PGVER_MINOR), 1)
# Values tests not supported by 8.1 and earlier.
TESTS := $(filter-out sql/enumtap.sql sql/valueset.sql,$(TESTS))
REGRESS := $(filter-out enumtap valueset,$(REGRESS))
endif
ifeq ($(PGVER_MINOR), 0)
# Hack for E'' syntax (<= PG8.0)
EXTRA_SUBS := -e "s/ E'/ '/g"
# Throw, runtests, enums, and roles aren't supported in 8.0.
TESTS := $(filter-out sql/throwtap.sql sql/runtests.sql sql/enumtap.sql sql/roletap.sql sql/valueset.sql,$(TESTS))
REGRESS := $(filter-out throwtap runtests enumtap roletap valueset,$(REGRESS))
endif
endif

# Determine the OS. Borrowed from Perl's Configure.
OSNAME := $(shell ./getos.sh)

# Override how .sql targets are processed to add the schema info, if
# necessary. Otherwise just copy the files.
test_setup.sql: test_setup.sql.in
ifdef TAPSCHEMA
	sed -e 's,TAPSCHEMA,$(TAPSCHEMA),g' -e 's/^-- ## //g' $< >$@
else
	cp $< $@
endif

pgtap.sql: pgtap.sql.in test_setup.sql
ifdef TAPSCHEMA
	sed -e 's,TAPSCHEMA,$(TAPSCHEMA),g' -e 's/^-- ## //g' -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(PGTAP_VERSION),g' $(EXTRA_SUBS) pgtap.sql.in > pgtap.sql
else
	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(PGTAP_VERSION),g' $(EXTRA_SUBS) pgtap.sql.in > pgtap.sql
endif
ifeq ($(PGVER_MAJOR), 8)
ifneq ($(PGVER_MINOR), 5)
ifneq ($(PGVER_MINOR), 4)
ifneq ($(PGVER_MINOR), 0)
	patch -p0 < compat/install-8.3.patch
endif
ifneq ($(PGVER_MINOR), 3)
ifeq ($(PGVER_MINOR), 2)
	patch -p0 < compat/install-8.2.patch
else
ifeq ($(PGVER_MINOR), 1)
	patch -p0 < compat/install-8.2.patch
	patch -p0 < compat/install-8.1.patch
else
	patch -p0 < compat/install-8.0.patch
endif
endif
endif
endif
endif
endif

uninstall_pgtap.sql: uninstall_pgtap.sql.in test_setup.sql
ifdef TAPSCHEMA
	sed -e 's,TAPSCHEMA,$(TAPSCHEMA),g' -e 's/^-- ## //g' uninstall_pgtap.sql.in > uninstall_pgtap.sql
else
	cp uninstall_pgtap.sql.in uninstall_pgtap.sql
endif
ifeq ($(PGVER_MAJOR), 8)
ifneq ($(PGVER_MINOR), 5)
ifneq ($(PGVER_MINOR), 4)
	patch -p0 < compat/uninstall-8.3.patch
ifneq ($(PGVER_MINOR), 3)
	patch -p0 < compat/uninstall-8.2.patch
endif
ifeq ($(PGVER_MINOR), 0)
	patch -p0 < compat/uninstall-8.0.patch
endif
endif
endif
endif

# Build pg_prove and holler if there's no Perl or TAP::Harness.
bbin/pg_prove:
	mkdir bbin
#	sed -e "s,\\('\\|F<\\)psql\\(['>]\\),\\1$(bindir)/psql\\2,g" bin/pg_prove > bbin/pg_prove
	sed -e "s,\\'psql\\',\\'$(bindir)/psql\\'," -e 's,F<psql>,F<$(bindir)/psql>,' bin/pg_prove > bbin/pg_prove
ifdef PERL
	$(PERL) '-MExtUtils::MY' -e 'MY->fixin(shift)' bbin/pg_prove
ifndef HAVE_HARNESS
	$(warning To use pg_prove, TAP::Harness Perl module must be installed from CPAN.)
endif
else
	$(warning Could not find perl (required by pg_prove). Install it or set the PERL variable.)
endif
	chmod +x bbin/pg_prove

bbin/pg_tapgen:
	cp bin/pg_tapgen bbin
ifdef PERL
	$(PERL) '-MExtUtils::MY' -e 'MY->fixin(shift)' bbin/pg_tapgen
else
	$(warning Could not find perl (required by pg_tapgen). Install it or set the PERL variable.)
endif
	chmod +x bbin/pg_tapgen

# Make sure that we build the regression tests.
installcheck: test_setup.sql

# Make sure we build pg_prove.
all: bbin/pg_prove bbin/pg_tapgen

# Make sure we remove bbin.
clean: extraclean

extraclean:
	rm -rf bbin

# In addition to installcheck, one can also run the tests through pg_prove.
test: test_setup.sql bbin/pg_prove
	./bbin/pg_prove --pset tuples_only=1 $(TESTS)

html:
	markdown -F 0x1000 README.pgtap > readme.html
	perl -ne 'BEGIN { $$prev = 0; $$lab = ""; print "<h1>Contents</h1>\n<ul>\n" } if (m{<h([123])\s+id="([^"]+)">((<code>[^(]+)?.+?)</h\1>}) { next if $$lab && $$lab eq $$4; $$lab = $$4; if ($$prev) { if ($$1 != $$prev) { print $$1 > $$prev ? $$1 - $$prev > 1 ? "<ul><li><ul>" : "<ul>\n" : $$prev - $$1 > 1 ? "</li></ul></li></ul></li>\n" : "</li></ul></li>\n"; $$prev = $$1; } else { print "</li>\n" } } else { $$prev = $$1; } print qq{<li><a href="#$$2">} . ($$4 ? "$$4()</code>" : $$3) . "</a>" } END { print "</li>\n</ul>\n" }' readme.html > toc.html
	PERL5LIB=/Users/david/dev/perl/Pod-Simple/lib perldoc -MPod::Simple::XHTML -d pg_prove.pod.html -w html_header_tags:'<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">' bin/pg_prove

## pgtap 0.24

=== Makefile ===
--- 
+++ 
@@ -6,14 +6,13 @@
 REGRESS = $(patsubst sql/%.sql,%,$(TESTS))
 REGRESS_OPTS = --load-language=plpgsql
 
-# Figure out where pg_config is, and set other vars we'll need depending on
-# whether or not we're in the source tree.
-ifdef USE_PGXS
+ifdef NO_PGXS
+top_builddir = ../..
+PG_CONFIG := $(top_builddir)/src/bin/pg_config/pg_config
+else
+# Run pg_config to get the PGXS Makefiles
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
-else
-top_builddir = ../..
-PG_CONFIG := $(top_builddir)/src/bin/pg_config/pg_config
 endif
 
 # We need to do various things with various versions of PostgreSQL.
@@ -21,28 +20,20 @@
 PGVER_MAJOR = $(shell echo $(VERSION) | awk -F. '{ print ($$1 + 0) }')
 PGVER_MINOR = $(shell echo $(VERSION) | awk -F. '{ print ($$2 + 0) }')
 PGVER_PATCH = $(shell echo $(VERSION) | awk -F. '{ print ($$3 + 0) }')
-PGTAP_VERSION = 0.23
+PGTAP_VERSION = 0.24
+
+# We support 8.0 and later.
+ifneq ($(PGVER_MAJOR), 8)
+ifneq ($(PGVER_MAJOR), 9)
+$(error pgTAP requires PostgreSQL 8.0 or later. This is $(VERSION))
+endif
+endif
 
 # Compile the C code only if we're on 8.3 or older.
-ifeq ($(PGVER_MINOR), 3)
+ifeq ($(PGVER_MAJOR), 8)
+ifneq ($(PGVER_MINOR), 4)
 MODULES = pgtap
 endif
-ifeq ($(PGVER_MINOR), 2)
-MODULES = pgtap
-endif
-ifeq ($(PGVER_MINOR), 1)
-MODULES = pgtap
-endif
-ifeq ($(PGVER_MINOR), 0)
-MODULES = pgtap
-endif
-
-# Load up the PostgreSQL makefiles.
-ifdef PGXS
-include $(PGXS)
-else
-include $(top_builddir)/src/Makefile.global
-include $(top_srcdir)/contrib/contrib-global.mk
 endif
 
 # We need Perl.
@@ -50,14 +41,17 @@
 PERL := $(shell which perl)
 endif
 
+# Load PGXS now that we've set all the variables it might need.
+ifdef NO_PGXS
+include $(top_builddir)/src/Makefile.global
+include $(top_srcdir)/contrib/contrib-global.mk
+else
+include $(PGXS)
+endif
+
 # Is TAP::Harness installed?
 ifdef PERL
 HAVE_HARNESS := $(shell $(PERL) -le 'eval { require TAP::Harness }; print 1 unless $$@' )
-endif
-
-# We support 8.0 and later.
-ifneq ($(PGVER_MAJOR), 8)
-$(error pgTAP requires PostgreSQL 8.0 or later. This is $(VERSION))
 endif
 
 # Set up extra substitutions based on version numbers.
@@ -73,8 +67,6 @@
 REGRESS := $(filter-out enumtap valueset,$(REGRESS))
 endif
 ifeq ($(PGVER_MINOR), 0)
-# Hack for E'' syntax (<= PG8.0)
-EXTRA_SUBS := -e "s/ E'/ '/g"
 # Throw, runtests, enums, and roles aren't supported in 8.0.
 TESTS := $(filter-out sql/throwtap.sql sql/runtests.sql sql/enumtap.sql sql/roletap.sql sql/valueset.sql,$(TESTS))
 REGRESS := $(filter-out throwtap runtests enumtap roletap valueset,$(REGRESS))
@@ -94,39 +86,36 @@
 endif
 
 pgtap.sql: pgtap.sql.in test_setup.sql
-ifdef TAPSCHEMA
-	sed -e 's,TAPSCHEMA,$(TAPSCHEMA),g' -e 's/^-- ## //g' -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(PGTAP_VERSION),g' $(EXTRA_SUBS) pgtap.sql.in > pgtap.sql
-else
-	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(PGTAP_VERSION),g' $(EXTRA_SUBS) pgtap.sql.in > pgtap.sql
-endif
+	cp $< $@
 ifeq ($(PGVER_MAJOR), 8)
 ifneq ($(PGVER_MINOR), 5)
 ifneq ($(PGVER_MINOR), 4)
-ifneq ($(PGVER_MINOR), 0)
 	patch -p0 < compat/install-8.3.patch
-endif
 ifneq ($(PGVER_MINOR), 3)
-ifeq ($(PGVER_MINOR), 2)
 	patch -p0 < compat/install-8.2.patch
-else
-ifeq ($(PGVER_MINOR), 1)
-	patch -p0 < compat/install-8.2.patch
+ifneq ($(PGVER_MINOR), 2)
 	patch -p0 < compat/install-8.1.patch
-else
+ifneq ($(PGVER_MINOR), 1)
 	patch -p0 < compat/install-8.0.patch
+#	Hack for E'' syntax (<= PG8.0)
+	mv pgtap.sql pgtap.tmp
+	sed -e "s/ E'/ '/g" pgtap.tmp > pgtap.sql
+	rm pgtap.tmp
 endif
 endif
 endif
 endif
 endif
 endif
+ifdef TAPSCHEMA
+	sed -e 's,TAPSCHEMA,$(TAPSCHEMA),g' -e 's/^-- ## //g' -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(PGTAP_VERSION),g' pgtap.sql > pgtap.tmp
+else
+	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(PGTAP_VERSION),g' pgtap.sql > pgtap.tmp
+endif
+	mv pgtap.tmp pgtap.sql
 
 uninstall_pgtap.sql: uninstall_pgtap.sql.in test_setup.sql
-ifdef TAPSCHEMA
-	sed -e 's,TAPSCHEMA,$(TAPSCHEMA),g' -e 's/^-- ## //g' uninstall_pgtap.sql.in > uninstall_pgtap.sql
-else
 	cp uninstall_pgtap.sql.in uninstall_pgtap.sql
-endif
 ifeq ($(PGVER_MAJOR), 8)
 ifneq ($(PGVER_MINOR), 5)
 ifneq ($(PGVER_MINOR), 4)
@@ -139,6 +128,10 @@
 endif
 endif
 endif
+endif
+ifdef TAPSCHEMA
+	sed -e 's,TAPSCHEMA,$(TAPSCHEMA),g' -e 's/^-- ## //g' uninstall_pgtap.sql > uninstall.tmp
+	mv uninstall.tmp uninstall_pgtap.sql
 endif
 
 # Build pg_prove and holler if there's no Perl or TAP::Harness.
@@ -183,5 +176,6 @@
 
 html:
 	markdown -F 0x1000 README.pgtap > readme.html
-	perl -ne 'BEGIN { $$prev = 0; $$lab = ""; print "<h1>Contents</h1>\n<ul>\n" } if (m{<h([123])\s+id="([^"]+)">((<code>[^(]+)?.+?)</h\1>}) { next if $$lab && $$lab eq $$4; $$lab = $$4; if ($$prev) { if ($$1 != $$prev) { print $$1 > $$prev ? $$1 - $$prev > 1 ? "<ul><li><ul>" : "<ul>\n" : $$prev - $$1 > 1 ? "</li></ul></li></ul></li>\n" : "</li></ul></li>\n"; $$prev = $$1; } else { print "</li>\n" } } else { $$prev = $$1; } print qq{<li><a href="#$$2">} . ($$4 ? "$$4()</code>" : $$3) . "</a>" } END { print "</li>\n</ul>\n" }' readme.html > toc.html
+	perl -ne 'BEGIN { $$prev = 0; $$lab = ""; print "<h1>Contents</h1>\n<ul>\n" } if (m{<h([123])\s+id="`([^(]+)(?:[^"]+)">((<code>[^(]+)?.+?)</h\1>}) { next if $$lab && $$lab eq $$4; $$lab = $$4; if ($$prev) { if ($$1 != $$prev) { print $$1 > $$prev ? $$1 - $$prev > 1 ? "<ul><li><ul>" : "<ul>\n" : $$prev - $$1 > 1 ? "</li></ul></li></ul></li>\n" : "</li></ul></li>\n"; $$prev = $$1; } else { print "</li>\n" } } else { $$prev = $$1; } print qq{<li><a href="#$$2">} . ($$4 ? "$$4()</code>" : $$3) . "</a>" } END { print "</li>\n</ul>\n" }' readme.html > toc.html
+	perl -pi -e 'BEGIN { my %seen }; s{(<h[123]\s+id=")`([^(]+)[^"]+}{"$$1$$2" . ($$seen{$$2}++ || "")}ge;' readme.html
 	PERL5LIB=/Users/david/dev/perl/Pod-Simple/lib perldoc -MPod::Simple::XHTML -d pg_prove.pod.html -w html_header_tags:'<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">' bin/pg_prove

## pgtap 0.25.0

=== Makefile ===
TESTS = $(wildcard test/sql/*.sql)
EXTRA_CLEAN = test/setup.sql *.html
DATA_built = sql/pgtap.sql sql/uninstall_pgtap.sql
DOCS = doc/pgtap.md
REGRESS = $(patsubst test/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --inputdir=test --load-language=plpgsql

ifdef NO_PGXS
top_builddir = ../..
PG_CONFIG := $(top_builddir)/src/bin/pg_config/pg_config
else
# Run pg_config to get the PGXS Makefiles
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
endif

# We need to do various things with various versions of PostgreSQL.
VERSION     = $(shell $(PG_CONFIG) --version | awk '{print $$2}')
PGVER_MAJOR = $(shell echo $(VERSION) | awk -F. '{ print ($$1 + 0) }')
PGVER_MINOR = $(shell echo $(VERSION) | awk -F. '{ print ($$2 + 0) }')
PGVER_PATCH = $(shell echo $(VERSION) | awk -F. '{ print ($$3 + 0) }')
PGTAP_VERSION = 0.25

# We support 8.0 and later.
ifneq ($(PGVER_MAJOR), 8)
ifneq ($(PGVER_MAJOR), 9)
$(error pgTAP requires PostgreSQL 8.0 or later. This is $(VERSION))
endif
endif

# Compile the C code only if we're on 8.3 or older.
ifeq ($(PGVER_MAJOR), 8)
ifneq ($(PGVER_MINOR), 4)
MODULES = src/pgtap
endif
endif

# We need Perl.
ifndef PERL
PERL := $(shell which perl)
endif

# Load PGXS now that we've set all the variables it might need.
ifdef NO_PGXS
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
else
include $(PGXS)
endif

# Is TAP::Parser::SourceHandler::pgTAP installed?
ifdef PERL
HAVE_HARNESS := $(shell $(PERL) -le 'eval { require TAP::Parser::SourceHandler::pgTAP }; print 1 unless $$@' )
endif

ifndef HAVE_HARNESS
    $(warning To use pg_prove, TAP::Parser::SourceHandler::pgTAP Perl module)
    $(warning must be installed from CPAN. To do so, simply run:)
    $(warning     cpan TAP::Parser::SourceHandler::pgTAP) 
endif

# Set up extra substitutions based on version numbers.
ifeq ($(PGVER_MAJOR), 8)
ifeq ($(PGVER_MINOR), 2)
# Enum tests not supported by 8.2 and earlier.
TESTS := $(filter-out sql/enumtap.sql,$(TESTS))
REGRESS := $(filter-out enumtap,$(REGRESS))
endif
ifeq ($(PGVER_MINOR), 1)
# Values tests not supported by 8.1 and earlier.
TESTS := $(filter-out sql/enumtap.sql sql/valueset.sql,$(TESTS))
REGRESS := $(filter-out enumtap valueset,$(REGRESS))
endif
ifeq ($(PGVER_MINOR), 0)
# Throw, runtests, enums, and roles aren't supported in 8.0.
TESTS := $(filter-out sql/throwtap.sql sql/runtests.sql sql/enumtap.sql sql/roletap.sql sql/valueset.sql,$(TESTS))
REGRESS := $(filter-out throwtap runtests enumtap roletap valueset,$(REGRESS))
endif
endif

# Determine the OS. Borrowed from Perl's Configure.
OSNAME := $(shell ./getos.sh)

# Override how .sql targets are processed to add the schema info, if
# necessary. Otherwise just copy the files.
test/setup.sql: test/setup.sql.in
ifdef TAPSCHEMA
	sed -e 's,TAPSCHEMA,$(TAPSCHEMA),g' -e 's/^-- ## //g' $< >$@
else
	cp $< $@
endif

sql/pgtap.sql: sql/pgtap.sql.in test/setup.sql
	cp $< $@
ifeq ($(PGVER_MAJOR), 8)
ifneq ($(PGVER_MINOR), 5)
ifneq ($(PGVER_MINOR), 4)
	patch -p0 < compat/install-8.3.patch
ifneq ($(PGVER_MINOR), 3)
	patch -p0 < compat/install-8.2.patch
ifneq ($(PGVER_MINOR), 2)
	patch -p0 < compat/install-8.1.patch
ifneq ($(PGVER_MINOR), 1)
	patch -p0 < compat/install-8.0.patch
#	Hack for E'' syntax (<= PG8.0)
	mv sql/pgtap.sql sql/pgtap.tmp
	sed -e "s/ E'/ '/g" sql/pgtap.tmp > sql/pgtap.sql
	rm sql/pgtap.tmp
endif
endif
endif
endif
endif
endif
ifdef TAPSCHEMA
	sed -e 's,TAPSCHEMA,$(TAPSCHEMA),g' -e 's/^-- ## //g' -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(PGTAP_VERSION),g' sql/pgtap.sql > sql/pgtap.tmp
else
	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(PGTAP_VERSION),g' sql/pgtap.sql > sql/pgtap.tmp
endif
	mv sql/pgtap.tmp sql/pgtap.sql

sql/uninstall_pgtap.sql: sql/uninstall_pgtap.sql.in test/setup.sql
	cp sql/uninstall_pgtap.sql.in sql/uninstall_pgtap.sql
ifeq ($(PGVER_MAJOR), 8)
ifneq ($(PGVER_MINOR), 5)
ifneq ($(PGVER_MINOR), 4)
	patch -p0 < compat/uninstall-8.3.patch
ifneq ($(PGVER_MINOR), 3)
	patch -p0 < compat/uninstall-8.2.patch
endif
ifeq ($(PGVER_MINOR), 0)
	patch -p0 < compat/uninstall-8.0.patch
endif
endif
endif
endif
ifdef TAPSCHEMA
	sed -e 's,TAPSCHEMA,$(TAPSCHEMA),g' -e 's/^-- ## //g' sql/uninstall_pgtap.sql > sql/uninstall.tmp
	mv sql/uninstall.tmp sql/uninstall_pgtap.sql
endif

# Make sure that we build the regression tests.
installcheck: test/setup.sql

# In addition to installcheck, one can also run the tests through pg_prove.
test: test/setup.sql
	pg_prove --pset tuples_only=1 $(TESTS)

html:
	markdown -F 0x1000 doc/pgtap.md > doc/pgtap.html
	perl -ne 'BEGIN { $$prev = 0; $$lab = ""; print "<h1>Contents</h1>\n<ul>\n" } if (m{<h([123])\s+id="(?:`([^(]+)(?:[^"]+)|([^"]+))">((<code>[^(]+)?.+?)</h\1>}) { next if $$lab && $$lab eq $$5; $$lab = $$5; if ($$prev) { if ($$1 != $$prev) { print $$1 > $$prev ? $$1 - $$prev > 1 ? "<ul><li><ul>" : "<ul>\n" : $$prev - $$1 > 1 ? "</li></ul></li></ul></li>\n" : "</li></ul></li>\n"; $$prev = $$1; } else { print "</li>\n" } } else { $$prev = $$1; } print qq{<li><a href="#} . ($$2 || $$3) . q{">} . ($$5 ? "$$5()</code>" : $$4) . "</a>" } END { print "</li>\n</ul>\n" }' readme.html > toc.html
	perl -pi -e 'BEGIN { my %seen }; s{(<h[123]\s+id=")`([^(]+)[^"]+}{"$$1$$2" . ($$seen{$$2}++ || "")}ge;' doc/pgtap.html

## pgtap 0.90.0

=== Makefile ===
MAINEXT      = pgtap
EXTENSION    = $(MAINEXT) pgtap-core pgtap-schema
EXTVERSION   = $(shell grep default_version $(MAINEXT).control | \
               sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
NUMVERSION   = $(shell echo $(EXTVERSION) | sed -e 's/\([[:digit:]]*[.][[:digit:]]*\).*/\1/')
DATA         = $(filter-out $(wildcard sql/*--*.sql),$(wildcard sql/*.sql))
TESTS        = $(wildcard test/sql/*.sql)
EXTRA_CLEAN  = sql/pgtap.sql sql/uninstall_pgtap.sql sql/pgtap-core.sql sql/pgtap-schema.sql doc/*.html
DOCS         = doc/pgtap.mmd
REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --inputdir=test --load-language=plpgsql
PG_CONFIG    = pg_config

ifdef NO_PGXS
top_builddir = ../..
PG_CONFIG := $(top_builddir)/src/bin/pg_config/pg_config
else
# Run pg_config to get the PGXS Makefiles
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
endif

# We need to do various things with the PostgreSQLl version.
VERSION = $(shell $(PG_CONFIG) --version | awk '{print $$2}')

# We support 8.1 and later.
ifeq ($(shell echo $(VERSION) | grep -qE " 7[.]|8[.]0" && echo yes || echo no),yes)
$(error pgTAP requires PostgreSQL 8.0 or later. This is $(VERSION))
endif

# Compile the C code only if we're on 8.3 or older.
ifeq ($(shell echo $(VERSION) | grep -qE "8[.][123]" && echo yes || echo no),yes)
MODULES = src/pgtap
endif

# We need Perl.
ifndef PERL
PERL := $(shell which perl)
endif

# Load PGXS now that we've set all the variables it might need.
ifdef NO_PGXS
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
else
include $(PGXS)
endif

# Is TAP::Parser::SourceHandler::pgTAP installed?
ifdef PERL
HAVE_HARNESS := $(shell $(PERL) -le 'eval { require TAP::Parser::SourceHandler::pgTAP }; print 1 unless $$@' )
endif

ifndef HAVE_HARNESS
    $(warning To use pg_prove, TAP::Parser::SourceHandler::pgTAP Perl module)
    $(warning must be installed from CPAN. To do so, simply run:)
    $(warning     cpan TAP::Parser::SourceHandler::pgTAP) 
endif

# Enum tests not supported by 8.2 and earlier.
ifeq ($(shell echo $(VERSION) | grep -qE "8[.][12]" && echo yes || echo no),yes)
TESTS   := $(filter-out test/sql/enumtap.sql,$(TESTS))
REGRESS := $(filter-out enumtap,$(REGRESS))
endif

# Values tests not supported by 8.1 and earlier.
ifeq ($(shell echo $(VERSION) | grep -qE "8[.][1]" && echo yes || echo no),yes)
TESTS   := $(filter-out test/sql/enumtap.sql sql/valueset.sql,$(TESTS))
REGRESS := $(filter-out enumtap valueset,$(REGRESS))
endif

# Determine the OS. Borrowed from Perl's Configure.
OSNAME := $(shell ./getos.sh)

# Make sure we build these.
all: sql/pgtap.sql sql/uninstall_pgtap.sql sql/pgtap-core.sql sql/pgtap-schema.sql

# Add extension build targets on 9.1 and up.
ifeq ($(shell echo $(VERSION) | grep -qE "8[.]|9[.]0" && echo no || echo yes),yes)
all: sql/$(MAINEXT)--$(EXTVERSION).sql sql/$(MAINEXT)-core--$(EXTVERSION).sql sql/$(MAINEXT)-schema--$(EXTVERSION).sql

sql/$(MAINEXT)--$(EXTVERSION).sql: sql/$(MAINEXT).sql
	cp $< $@

sql/$(MAINEXT)-core--$(EXTVERSION).sql: sql/$(MAINEXT)-core.sql
	cp $< $@

sql/$(MAINEXT)-schema--$(EXTVERSION).sql: sql/$(MAINEXT)-schema.sql
	cp $< $@

DATA = $(wildcard sql/*--*.sql) sql/$(MAINEXT)--$(EXTVERSION).sql sql/$(MAINEXT)-core--$(EXTVERSION).sql sql/$(MAINEXT)-schema--$(EXTVERSION).sql
EXTRA_CLEAN += sql/$(MAINEXT)--$(EXTVERSION).sql sql/$(MAINEXT)-core--$(EXTVERSION).sql sql/$(MAINEXT)-schema--$(EXTVERSION).sql
endif

sql/pgtap.sql: sql/pgtap.sql.in test/setup.sql
	cp $< $@
ifeq ($(shell echo $(VERSION) | grep -qE "8[.][123]" && echo yes || echo no),yes)
	patch -p0 < compat/install-8.3.patch
endif
ifeq ($(shell echo $(VERSION) | grep -qE "8[.][12]" && echo yes || echo no),yes)
	patch -p0 < compat/install-8.2.patch
endif
ifeq ($(shell echo $(VERSION) | grep -qE "8[.][1]" && echo yes || echo no),yes)
	patch -p0 < compat/install-8.1.patch
endif
	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(NUMVERSION),g' sql/pgtap.sql > sql/pgtap.tmp
	mv sql/pgtap.tmp sql/pgtap.sql

sql/uninstall_pgtap.sql: sql/uninstall_pgtap.sql.in test/setup.sql
	cp sql/uninstall_pgtap.sql.in sql/uninstall_pgtap.sql
ifeq ($(shell echo $(VERSION) | grep -qE "8[.][123]" && echo yes || echo no),yes)
	patch -p0 < compat/uninstall-8.3.patch
endif
ifeq ($(shell echo $(VERSION) | grep -qE "8[.][12]" && echo yes || echo no),yes)
	patch -p0 < compat/uninstall-8.2.patch
endif

sql/pgtap-core.sql: sql/pgtap.sql.in
	cp $< $@
	sed -e 's,sql/pgtap,sql/pgtap-core,g' compat/install-8.3.patch | patch -p0
	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(NUMVERSION),g' sql/pgtap-core.sql > sql/pgtap-core.tmp
	$(PERL) compat/gencore 0 sql/pgtap-core.tmp > sql/pgtap-core.sql
	rm sql/pgtap-core.tmp

sql/pgtap-schema.sql: sql/pgtap.sql.in
	cp $< $@
	sed -e 's,sql/pgtap,sql/pgtap-schema,g' compat/install-8.3.patch | patch -p0
	sed -e 's,MODULE_PATHNAME,$$libdir/pgtap,g' -e 's,__OS__,$(OSNAME),g' -e 's,__VERSION__,$(NUMVERSION),g' sql/pgtap-schema.sql > sql/pgtap-schema.tmp
	$(PERL) compat/gencore 1 sql/pgtap-schema.tmp > sql/pgtap-schema.sql
	rm sql/pgtap-schema.tmp

# Make sure that we build the regression tests.
installcheck: test/setup.sql

# In addition to installcheck, one can also run the tests through pg_prove.
test: test/setup.sql
	pg_prove --pset tuples_only=1 $(TESTS)

html:
	MultiMarkdown.pl doc/pgtap.mmd > doc/pgtap.html
	./tocgen doc/pgtap.html 2> doc/toc.html
	perl -MPod::Simple::XHTML -E "my \$$p = Pod::Simple::XHTML->new; \$$p->html_header_tags('<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">'); \$$p->strip_verbatim_indent(sub { (my \$$i = \$$_[0]->[0]) =~ s/\\S.*//; \$$i }); \$$p->parse_from_file('`perldoc -l pg_prove`')" > doc/pg_prove.html

=== debian/changelog ===
pgtap (0.90.0-1) unstable; urgency=low

  * Imported Upstream version 0.90.0
  * Switch to dpkg-source 3.0 (quilt) format
  * Add Recommends on libtap-parser-sourcehandler-pgtap-perl (Closes: #642196)
  * Add Recommends on libtap-harness-archive-perl (Closes: #590801)
  * Fix path for documentation file.
  * Convert to DH version 8

 -- Pierre Chifflier <pollux@debian.org>  Mon, 05 Dec 2011 00:03:13 +0100

pgtap (0.25.0-2) unstable; urgency=low

  * Set build-dep to postgresql-server-dev-all
  * Backport upstream commit 461fa22: Removed use of `relistemp` column in an
    internal function, as it has been removed in PostgreSQL 9.1
    Thanks to David E. Wheeler for the patch (Closes: #640563, #640165)
  * Make package architecture independent, the C module is not required since
    PostgreSQL 8.4 (Closes: #590798)
  * Bump Standards Version to 3.9.2

 -- Pierre Chifflier <pollux@debian.org>  Mon, 12 Sep 2011 00:11:30 +0200

pgtap (0.25.0-1) unstable; urgency=low

  * Imported Upstream version 0.25.0
  * Update build-dep to postgresql-server-dev-9.0 (Closes: #618234)
  * Update homepage (Closes: #590802)
  * pg_prove has been removed from upstream package and is shipped in a
    separate package (TAP::Parser::SourceHandler::pgTAP)
    This is not yet packaged, but will be in a near future.
  * Bump Standards Version to 3.9.1 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 28 Mar 2011 14:12:04 +0200

pgtap (0.24-1) unstable; urgency=low

  * Imported Upstream version 0.24
  * Bump Standards version to 3.9.0

 -- Pierre Chifflier <pollux@debian.org>  Tue, 20 Jul 2010 14:38:51 +0200

pgtap (0.23-2) unstable; urgency=low

  * Move pg_prove to /usr/bin (Closes: #568106)
  * Bump standards version to 3.8.4

 -- Pierre Chifflier <pollux@debian.org>  Sun, 21 Feb 2010 20:07:36 +0100

pgtap (0.23-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Wed, 30 Dec 2009 11:08:22 +0100

pgtap (0.22-1) unstable; urgency=low

  * New Upstream Version
  * Bump standards version to 3.8.3 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 18 Aug 2009 15:03:50 +0200

pgtap (0.21-3) unstable; urgency=low

  * Update build-depend to postgresql-server-dev-8.4 (Closes: #536968)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 16 Jul 2009 19:13:44 +0200

pgtap (0.21-2) unstable; urgency=low

  * Change section to database (Closes: #534154)
  * Bump standards version to 3.8.2 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 22 Jun 2009 21:34:22 +0200

pgtap (0.21-1) unstable; urgency=low

  * New Upstream Version
  * Add watch file

 -- Pierre Chifflier <pollux@debian.org>  Sun, 07 Jun 2009 21:48:14 +0200

pgtap (0.20-2) unstable; urgency=low

  * Add dependency on libtest-harness-perl (Closes: #530837)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 28 May 2009 15:32:21 +0200

pgtap (0.20-1) unstable; urgency=low

  * New Upstream Version
  * Bump standards version to 3.8.1 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 30 Mar 2009 18:07:52 +0200

pgtap (0.19-1) unstable; urgency=low

  * New Upstream Version

 -- Pierre Chifflier <pollux@debian.org>  Tue, 10 Mar 2009 09:50:40 +0100

pgtap (0.16-1) unstable; urgency=low

  * New Upstream Version

 -- Pierre Chifflier <pollux@debian.org>  Wed, 04 Feb 2009 11:00:50 +0100

pgtap (0.14-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Tue, 28 Oct 2008 09:18:55 +0100

pgtap (0.12-2) unstable; urgency=low

  * Add missing build-dep on postgresql-server-dev-8.3 (fix FTBFS)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 27 Oct 2008 09:19:26 +0100

pgtap (0.12-1) unstable; urgency=low

  * Initial release (Closes: #500671)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 13 Oct 2008 09:51:43 +0200

=== debian/control ===
Source: pgtap
Priority: extra
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 8),
    libpq-dev (>= 8.0),
    postgresql-server-dev-all (>= 116)
Standards-Version: 3.9.2
Section: database
Homepage: http://pgtap.org/

Package: pgtap
Section: database
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
    ${perl:Depends},
    libtest-harness-perl,
    libpq5 (>= 8.0)
Recommends: libtap-parser-sourcehandler-pgtap-perl,
    libtap-harness-archive-perl
Description: Unit testing framework for PostgreSQL
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 TAP is the Test Anything Protocol (http://testanything.org/).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Written by Pierre Chifflier <pollux@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh $@

=== debian/watch ===
# watch control file for uscan
# run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://pgfoundry.org/frs/?group_id=1000389 /frs/download.php/.*/pgtap-(.*)\.tar\.gz
